#ifndef RTHERM_H_
#define RTHERM_H_

#include "Arduino.h"

#define VOLTS 3.355
#define RESISTOR 9798.0

#define BETA 3850.0
#define e 2.7182818284590452353602874
#define SENSOR_MAX 1023
//const float A = pow(e, -BETA / 298.15) * 10e3;


class rTherm
{
    public:
        rTherm(int common_anode);       
        void setLed(int colors[3]);
        void enableSensor();
        void disableSensor();
        float A;
        int sensor;
    private:
        int rLedPin;
        int gLedPin;
        int bLedPin;

        int thermPowerPin;
        int commonPin;
        int enablePin;

        int commonAnode;
};

#endif
